Bug 1484465 - Installing a -devel package should not require restart.
Summary: Installing a -devel package should not require restart.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tracer
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Kadlčík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-23 16:32 UTC by Villy Kruse
Modified: 2019-05-28 19:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:36:35 UTC
Type: Bug


Attachments (Terms of Use)
The exact command run and the result. (2.08 KB, text/plain)
2017-08-23 16:32 UTC, Villy Kruse
no flags Details

Description Villy Kruse 2017-08-23 16:32:18 UTC
Created attachment 1317151 [details]
The exact command run and the result.

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Depends on the particular -devel package.


Steps to Reproduce:
1.
  sudo dnf -y reinstall libxml2-devel
2.
  sudo tracer   (if you don't have the tracer dnf plugin)
3.

Actual results:
  Verifying        : libxml2-devel-2.9.4-2.fc26.i686                        2/2 
You should restart:
  * Some applications using:
      sudo systemctl restart NetworkManager
      sudo systemctl restart abrtd

  * These applications manually:
      abrt-dbus
      abrt-dump-journal-core
      abrt-dump-journal-xorg
      dnf
      gvfsd-http
      panel-4-pulseau
      seapplet
      xfce4-panel
      xfce4-xkb-plugin



Expected results:
No message about restart needed.

Additional info:

Reinstalling libxml2-devel causes the issue because the libxml2 
package contains files that are actually being used.

Reinstalling libxml2 would trigger the same tracer report, but in
this case the report is correct.

The -devel packages do install symbolic links to files which are being
used, but that does not touch or modify the target of these symbolic links.

Comment 1 Fedora End Of Life 2018-02-20 15:32:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Ben Cotton 2019-05-02 22:04:14 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 19:36:35 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.